%
% Select the given interval: [-1,3]
a_0 = -1;
b_0 = 3;

% Setup the functions under test
syms x;
f_1 = (x-2)^2 + x*log(x+3);
f_2 = exp(-2*x) + (x-2)^2;
f_3 = exp(x)*(x^3 - 1) + (x-1)*sin(x);
funs = [f_1; f_2; f_3];

% Setup the function titles
title_f1 = "$f_1(x) = (x - 2)^2 + x \cdot \ln(x + 3)$";
title_f2 = "$f_2(x) = e^{-2x} + (x - 2)^2$";
title_f3 = "$f_3(x) = e^x \cdot (x^3 - 1) + (x - 1) \cdot \sin(x)$";
titles = [title_f1; title_f2; title_f3];